de.heatup.mapengine

## Class SpawnAssistant

- java.lang.Object
- - de.heatup.mapengine.SpawnAssistant

-     public class SpawnAssistant
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.util.ArrayList<java.awt.Point>` | `spawnPoints`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SpawnAssistant()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.awt.Point` | `getPathLocationOnGrid()` Sucht einen Spawnpunkt mit höchstmöglichem Abstand zu anderen Spawnpoints

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### spawnPoints

          public static java.util.ArrayList<java.awt.Point> spawnPoints

  - ### Constructor Detail

    - #### SpawnAssistant

          public SpawnAssistant()

  - ### Method Detail

    - #### getPathLocationOnGrid

          public static java.awt.Point getPathLocationOnGrid()

      Sucht einen Spawnpunkt mit höchstmöglichem Abstand zu anderen Spawnpoints
      Returns:
        Returns a Spawnpoint